package com.ruoyi.dashboard.domain.revenueStat;

import java.math.BigDecimal;
import java.util.Map;

import com.ruoyi.common.utils.MathUtils;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class RevenueStatVO {

    @ApiModelProperty("订单用户数量")
    private Integer orderUserCount;
    @ApiModelProperty("订单实收金额")
    private BigDecimal orderActualAmount;
    @ApiModelProperty("订单总数量")
    private Integer orderCount;
    @ApiModelProperty("订单状态数量")
    private Map<String, Integer> orderStatusMap;

    @ApiModelProperty("分成总金额")
    private BigDecimal bonusAmount;
    @ApiModelProperty("分成退款金额")
    private BigDecimal bonusRefundAmount;
    @ApiModelProperty("分成待分金额")
    private BigDecimal bonusWaitDivideAmount;
    @ApiModelProperty("分成数量")
    private Integer bonusCount;
    @ApiModelProperty("分成实收金额")
    public BigDecimal getBonusActualAmount() {
        return MathUtils.subtractDecimal(bonusAmount, bonusRefundAmount);
    }
    
    @ApiModelProperty("运营区数量")
    private Integer areaCount;
    @ApiModelProperty("运营区加盟数量")
    private Integer areaJoinCount;
    @ApiModelProperty("运营区合伙数量")
    private Integer areaPartnerCount;
    @ApiModelProperty("运营区运维数量")
    private Integer areaOperationCount;

    @ApiModelProperty("设备数量")
    private Integer deviceCount;
    @ApiModelProperty("设备状态数量")
    private Map<String, Integer> deviceStatusMap;
    @ApiModelProperty("设备在线数量")
    private Map<String, Integer> deviceOnlineStatusMap;

    @ApiModelProperty("成功提现金额")
    private BigDecimal withdrawSuccessAmount;
    @ApiModelProperty("待审核的提现数量")
    private Integer withdrawWaitVerifyCount;

    @ApiModelProperty("待审核的加盟商申请数量")
    private Integer mchApplyApprovingCount;

    @ApiModelProperty("待处理的故障数量")
    private Integer faultPendingCount;
}
